<!DOCTYPE html>
<html class="writer-html5" lang="pt-br" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Matrícula Online &mdash; Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife. 1.0.0 documentation</title>
      <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/sphinxcontrib-images/LightBox2/lightbox2/dist/css/lightbox.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script src="../../_static/sphinxcontrib-images/LightBox2/lightbox2/dist/js/lightbox-plus-jquery.min.js"></script>
        <script src="../../_static/sphinxcontrib-images/LightBox2/lightbox2-customize/jquery-noconflict.js"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="SAAP - Sistema de Acompanhamento de Ações Pedagógicas" href="saap.html" />
    <link rel="prev" title="GEQT - Sistema de gestão de equipamentos" href="geqt.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../index.html" class="icon icon-home"> Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Sistemas pedagógicos</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="geqt.html">GEQT - Sistema de gestão de equipamentos</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Matrícula Online</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="#principais-funcionalidades">Principais Funcionalidades</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#responsavel-legal">Responsável Legal</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#arquitetura-da-informacao">Arquitetura da Informação</a></li>
<li class="toctree-l2"><a class="reference internal" href="#requisitos-e-arquitetura-de-software">Requisitos e Arquitetura de Software</a></li>
<li class="toctree-l2"><a class="reference internal" href="#modelagem-de-casos-de-uso">Modelagem de casos de uso</a></li>
<li class="toctree-l2"><a class="reference internal" href="#autenticacao-e-acesso">Autenticação e acesso</a></li>
<li class="toctree-l2"><a class="reference internal" href="#referencias">Referências</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="saap.html">SAAP - Sistema de Acompanhamento de Ações Pedagógicas</a></li>
<li class="toctree-l1"><a class="reference internal" href="sadr.html">SADR - Sistema de avaliação diagnóstica</a></li>
<li class="toctree-l1"><a class="reference internal" href="sdcl.html">SDCL - Sistema de diário de classe</a></li>
<li class="toctree-l1"><a class="reference internal" href="segm.html">SEGM - Sistema de Gestão de Merendas</a></li>
<li class="toctree-l1"><a class="reference internal" href="segp.html">SEGP - Sistema de Gestão de Pessoas</a></li>
<li class="toctree-l1"><a class="reference internal" href="seinfra.html">SEINFRA - Sistema de Gerenciamento da Capacidade Instalada</a></li>
<li class="toctree-l1"><a class="reference internal" href="semeweb.html">SEMEWEB/SEGE - Sistema de Gestão Escolar</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Sistemas administrativos</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../administrativos/consist.html">Consist - Sistema de Folha de Pagamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="../administrativos/sofin.html">SOFIN - Sistema de Controle Orçamentário e Financeiro</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Conclusão</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../conclus%C3%A3o.html">Conclusão</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home"></a> &raquo;</li>
      <li>Matrícula Online</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/sistemas/pedagogicos/matricula.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="matricula-online">
<h1>Matrícula Online<a class="headerlink" href="#matricula-online" title="Permalink to this headline"></a></h1>
<p>O Sistema de Matrícula Online é um software que permite realizar operações de pré-matrícula (reserva). Essas operações são executadas pelo responsável legal, sem a necessidade de ir presencialmente na unidade de ensino para entrega de documentação e cadastro. A confirmação da matrícula é presencial, executada no SEMEWEB pelo servidor presente na unidade.</p>
<section id="perfis-de-usuario">
<h2>Perfis de usuário<a class="headerlink" href="#perfis-de-usuario" title="Permalink to this headline"></a></h2>
<ul class="simple">
<li><p><strong>Responsável legal</strong>: realiza os preenchimentos dos formulários de reserva de matrícula. Após o envio, o responsável ainda precisa confirmar a matrícula presencialmente na escola, essa confirmação é feita no SEMEWEB. O SEMEWEB controla as condições para preenchimento das reservas com base nas vagas liberadas pelo <a class="reference external" href="./seinfra.html">SEINFRA</a>.</p></li>
</ul>
</section>
<section id="principais-funcionalidades">
<h2>Principais Funcionalidades<a class="headerlink" href="#principais-funcionalidades" title="Permalink to this headline"></a></h2>
<section id="responsavel-legal">
<h3>Responsável Legal<a class="headerlink" href="#responsavel-legal" title="Permalink to this headline"></a></h3>
<ul class="simple">
<li><p><strong>Cadastro da pré-matrícula em 4 etapas</strong>: dados do responsável, dados do estudante, ano e Unidade de ensino e confirmação dos dados.</p></li>
<li><p><strong>Consulta de escolas por geolocalização</strong>: possibilita encontrar unidades através de filtros, organizadas no mapa de Recife.</p></li>
<li><p><strong>Entrar em contato pela plataforma</strong>: permite preenchimento de um formulário de contato.</p></li>
<li><p><strong>Consulta do calendário de matrícula</strong>: permite consultar Informações do calendário de matrícula.</p></li>
<li><p><strong>Consulta de pré-matrícula</strong>: consulta através de informações do estudante ou número do protocolo.</p></li>
</ul>
</section>
</section>
<section id="arquitetura-da-informacao">
<h2>Arquitetura da Informação<a class="headerlink" href="#arquitetura-da-informacao" title="Permalink to this headline"></a></h2>
<p>O diagrama apresenta uma versão da arquitetura da infrmação da aplicação.</p>
<img alt="../../_images/31.png" src="../../_images/31.png" />
</section>
<section id="requisitos-e-arquitetura-de-software">
<h2>Requisitos e Arquitetura de Software<a class="headerlink" href="#requisitos-e-arquitetura-de-software" title="Permalink to this headline"></a></h2>
<p>A infraestrutura e manutenção do sistema é mantida pela empresa Emprel, empresa pública mantida pela Prefeiturade Recife.  Utilizaremos duas técnicas para avaliarmos o Matrícula Online. A primeira é a modelagem de casos de uso, que permite
visualizar como atores interagem com as funcionalidades do sistema. O segundo é a modelagem
C4, que permite visualizar as fronteiras do sistema e com quais sistemas externos ele se comunica
para realizar suas operações.</p>
</section>
<section id="modelagem-de-casos-de-uso">
<h2>Modelagem de casos de uso<a class="headerlink" href="#modelagem-de-casos-de-uso" title="Permalink to this headline"></a></h2>
<p>O diagrama de casos de uso é uma forma visual de identificar perfis de usuário, funcionalidades do
sistema e a relação entre ambos. Iremos utilizar essa técnica de modelagem para termos uma visão
alto nível de como o Matrícula Online funciona.</p>
<p>Nota-se que não existe correlação entre as funcionalidades de “Buscar escolas por localização” e “Cadastrar uma pré-matrícula”, o que exige que o usuário execute um passo a mais no fluxo de matrícula. Uma sugestão seria que a partir da busca por unidade, o usuário já pudesse selecionar uma unidade para efetuar a matrícula.</p>
<p><a class="reference external" href="https://drive.google.com/file/d/1m0dKX8GkOnwBUUhrjB2xNTrKGe7yGVfP/view?usp=sharing">Link para modelagem de casos de uso do sistema</a></p>
<img alt="../../_images/22.png" src="../../_images/22.png" />
<img alt="../../_images/13.png" src="../../_images/13.png" />
</section>
<section id="autenticacao-e-acesso">
<h2>Autenticação e acesso<a class="headerlink" href="#autenticacao-e-acesso" title="Permalink to this headline"></a></h2>
<p>As funcionalidades para matrícula online não dependem de autenticação.</p>
</section>
<section id="referencias">
<h2>Referências<a class="headerlink" href="#referencias" title="Permalink to this headline"></a></h2>
<ol class="arabic simple">
<li><p><a class="reference external" href="https://www.visual-paradigm.com/guide/uml-unified-modeling-language/what-is-use-case-diagram/">What is Use Case Diagram</a>;</p></li>
<li><p><a class="reference external" href="https://c4model.com/">C4 Modeling framework</a></p></li>
</ol>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="geqt.html" class="btn btn-neutral float-left" title="GEQT - Sistema de gestão de equipamentos" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="saap.html" class="btn btn-neutral float-right" title="SAAP - Sistema de Acompanhamento de Ações Pedagógicas" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2021, Pencillabs.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>